SnowballStemmer (Lucene 10.5.1 common API)
Description: declaration: package: org.tartarus.snowball, class: SnowballStemmer

Package org.tartarus.snowball

# Class SnowballStemmer

java.lang.Object
org.tartarus.snowball.SnowballProgram
org.tartarus.snowball.SnowballStemmer

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ArabicStemmer`, `ArmenianStemmer`, `BasqueStemmer`, `CatalanStemmer`, `DanishStemmer`, `DutchStemmer`, `EnglishStemmer`, `EstonianStemmer`, `FinnishStemmer`, `FrenchStemmer`, `GermanStemmer`, `GreekStemmer`, `HindiStemmer`, `HungarianStemmer`, `IndonesianStemmer`, `IrishStemmer`, `ItalianStemmer`, `LithuanianStemmer`, `NepaliStemmer`, `NorwegianStemmer`, `PorterStemmer`, `PortugueseStemmer`, `RomanianStemmer`, `RussianStemmer`, `SerbianStemmer`, `SpanishStemmer`, `SwedishStemmer`, `TamilStemmer`, `TurkishStemmer`, `YiddishStemmer`

public abstract class SnowballStemmer extends SnowballProgram
Parent class of all snowball stemmers, which must implement `stem`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.tartarus.snowball.SnowballProgram

  `bra, cursor, ket, length, limit, limit_backward`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SnowballStemmer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `stem()`

  ### Methods inherited from class org.tartarus.snowball.SnowballProgram

  `assign_to, copy_from, eq_s, eq_s_b, find_among, find_among_b, getCurrent, getCurrentBuffer, getCurrentBufferLength, in_grouping, in_grouping_b, insert, out_grouping, out_grouping_b, replace_s, setCurrent, setCurrent, slice_check, slice_del, slice_from, slice_to`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SnowballStemmer

    public SnowballStemmer()

- ## Method Details

  - ### stem

    public abstract boolean stem()